"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import builtins
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.message
import typing
import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

class SumRes(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor
    SUMMATION_FIELD_NUMBER: builtins.int
    Summation: builtins.int
    def __init__(self,
        *,
        Summation: builtins.int = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["Summation",b"Summation"]) -> None: ...
global___SumRes = SumRes

class SumArg(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor
    NUMS_FIELD_NUMBER: builtins.int
    @property
    def Nums(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.int]: ...
    def __init__(self,
        *,
        Nums: typing.Optional[typing.Iterable[builtins.int]] = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["Nums",b"Nums"]) -> None: ...
global___SumArg = SumArg

class FactorialRes(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor
    FACTORIAL_FIELD_NUMBER: builtins.int
    Factorial: builtins.int
    def __init__(self,
        *,
        Factorial: builtins.int = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["Factorial",b"Factorial"]) -> None: ...
global___FactorialRes = FactorialRes

class FactorialArg(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor
    N_FIELD_NUMBER: builtins.int
    N: builtins.int
    def __init__(self,
        *,
        N: builtins.int = ...,
        ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["N",b"N"]) -> None: ...
global___FactorialArg = FactorialArg
